Jump to content

Raduziel

Member Since 09 Jul 2017
Offline Last Active Sep 24 2018 10:34 AM

Posts I've Made

In Topic: Compatibility Issue QDMulti x EET

13 July 2018 - 12:47 PM

Kjeron fixed this issue.


In Topic: Compatibility Issue QDMulti x EET

13 July 2018 - 05:08 AM

From DoF's thread on Beamdog's forum, a solution proposed by the user Radamanth77:

- ERROR: [override/QD_MCP01.spl] -> [override] Patching Failed (COPY) (Not_found)

Ok, i think i found this issue and wanted to share my infos about.
First of all thanks to Raduziel for the awesome work on an awesome mod.

The problem comes out after an installation of EET on a 2.5 patched game. If you check the KITLIST in your override directory, you would notice that the GRIZZLY_BEAR kit got an extra 0x00004027 column.
Extra becouse the previous one is 0x00004027 aswell.
Just delete the last "extra" column and restart the installation of the mod. Everything will go fine then.
I think the problem is in the patch itself BTW.

Hope to help, I m testing loads of EET installations around this mod and I will share any finding.

In Topic: Of cleric kits and strongholds

09 March 2018 - 06:34 AM

I have an 'in' someone working on the EE 2.5 patch and made this even easier for the cleric kits. The spawn blocks now look like this (check the OR blocks):

IF
  Global("GaalSpoke","AR0900",1)
  OR(3)
    Alignment(Player1,MASK_GOOD)
    Kit(Player1,GODLATHANDER)
    Global("OHLathanderOverride","GLOBAL",1)
  OR(6)
    Class(Player1,CLERIC)
    Class(Player1,FIGHTER_CLERIC)
    Class(Player1,CLERIC_MAGE)
    Class(Player1,CLERIC_THIEF)
    Class(Player1,FIGHTER_MAGE_CLERIC)
    Class(Player1,CLERIC_RANGER)
  !Kit(Player1,GODHELM)
  !Kit(Player1,GODTALOS)
THEN
  RESPONSE #100
    Wait(2)
    CreateCreature("bharval",[3077.1630],SW)  // High Mornmaster Arval
    SetGlobal("GoodMask","AR0900",1)
    SetGlobal("GaalSpoke","AR0900",2)
END

IF
  Global("GaalSpoke","AR0900",1)
  OR(5)
    Alignment(Player1,LAWFUL_NEUTRAL)
    Alignment(Player1,NEUTRAL)
    Alignment(Player1,LAWFUL_EVIL)
    Kit(Player1,GODHELM)
    Global("OHHelmOverride","GLOBAL",1)
  OR(6)
    Class(Player1,CLERIC)
    Class(Player1,FIGHTER_CLERIC)
    Class(Player1,CLERIC_MAGE)
    Class(Player1,CLERIC_THIEF)
    Class(Player1,FIGHTER_MAGE_CLERIC)
    Class(Player1,CLERIC_RANGER)
  !Kit(Player1,GODLATHANDER)
  !Kit(Player1,GODTALOS)
THEN
  RESPONSE #100
    Wait(2)
    CreateCreature("bhoisig",[3077.1630],SW)  // High Watcher Oisig
    SetGlobal("NeutralMask","AR0900",1)
    SetGlobal("GaalSpoke","AR0900",2)
END

IF
  Global("GaalSpoke","AR0900",1)
  OR(5)
    Alignment(Player1,CHAOTIC_NEUTRAL)
    Alignment(Player1,NEUTRAL_EVIL)
    Alignment(Player1,CHAOTIC_EVIL)
    Kit(Player1,GODTALOS)
    Global("OHTalosOverride","GLOBAL",1)
  OR(6)
    Class(Player1,CLERIC)
    Class(Player1,FIGHTER_CLERIC)
    Class(Player1,CLERIC_MAGE)
    Class(Player1,CLERIC_THIEF)
    Class(Player1,FIGHTER_MAGE_CLERIC)
    Class(Player1,CLERIC_RANGER)
  !Kit(Player1,GODLATHANDER)
  !Kit(Player1,GODHELM)
THEN
  RESPONSE #100
    Wait(2)
    CreateCreature("bhnalla",[3077.1630],SW)  // Stormherald Nallabir
    SetGlobal("EvilMask","AR0900",1)
    SetGlobal("GaalSpoke","AR0900",2)
END

The key additions are the global checks of OHLathanderOverride, OHHelmOverride, and OHHelmOverride. You can now force a kit to go to your temple of choice simply by setting this variable to one. So from our example above, forcing true neutral Tempus clerics to the Lathander temple is now as simple as extending ar0900.bcs with this:

IF
  Global("OHLathanderOverride","GLOBAL",0)
  Alignment(Player1,NEUTRAL)
  Kit(Player1,OHTEMPUS)
THEN
  RESPONSE #100
    SetGlobal("OHLathanderOverride","GLOBAL",1)
END

I may have a similar 'in' with the Fixpack author for vanilla games.

 

Can you provide a "For Dummies" step-by-step like you were tutoring a 5 yo eating sand?

 

Thanks!


In Topic: Mod Compatibility List for EET

03 August 2017 - 08:01 AM

Hello,

 

Finally!

 

Thnx a lot, Raduziel,

only - your link seems not working....

 

Thanks for the report, had the wrong link in the Ctrl+C.

 

Fixed it.

 

BTW, there's a Fighter kit in this mod (well, a Barbarian kit actually).


In Topic: Mod Compatibility List for EET

02 August 2017 - 04:02 PM

Hi,

 

I would like to add the I Hate Undead Kitpack to the list of compatible mods.

 

You may remove the Undead Predator if you wish, this pack contains it.

 

Thanks!